Package: org.apache.groovy.contracts

## [Java] Class CircularAssertionCallException

- org.apache.groovy.contracts.CircularAssertionCallException

-     public class CircularAssertionCallException
      extends RuntimeException

  Thrown whenever pre- or post-conditions are called in a cyclic way.

  See Also:
    AssertionViolation

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CircularAssertionCallException()`
    `CircularAssertionCallException(String s)`
    `CircularAssertionCallException(String s, Throwable throwable)`
    `CircularAssertionCallException(Throwable throwable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public CircularAssertionCallException()

    - #### public CircularAssertionCallException(String s)

    - #### public CircularAssertionCallException(String s, Throwable throwable)

    - #### public CircularAssertionCallException(Throwable throwable)